unit SumForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Label2: TLabel;
    Button2: TButton;
    Label3: TLabel;
    Button3: TButton;
    Label4: TLabel;
    Button4: TButton;
    Label5: TLabel;
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure FormActivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    Sum,Average,Min,Max:Real;
    br:integer;
  public
    procedure Calculate(X:String);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Calculate(X: String);
var r:Real;
begin
   r:=strtofloat(X);
   inc(br);
   if br=1 then begin Min:=r;Max:=r end;
   Sum:=Sum+r;
   if Min>r then Min:=r;
   if Max<r then Max:=r;
   Average:=Sum/br
end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  If ord(Key)=VK_Return then
  begin
    ListBox1.Items.Add(Edit1.Text);
    Calculate(Edit1.Text);
    Edit1.Text:='';
    Label1.Caption:='Insert next number:'
  end;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
    Edit1.SetFocus;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
   Label2.Caption:='The sum is: '+floattostr(Sum)
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   Label3.Caption:='The average is: '
    +floattostrF(Average,ffFixed,12,5)
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   Label4.Caption:='The minimum is: '+floattostr(Min)
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
   Label5.Caption:='Th maximum is: '+floattostr(Max)
end;

end.
