unit TotoForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, CheckLst;

type
  chisla=set of byte;
  TForm1 = class(TForm)
    CheckListBox1: TCheckListBox;
    CheckListBox2: TCheckListBox;
    CheckListBox3: TCheckListBox;
    CheckListBox4: TCheckListBox;
    CheckListBox5: TCheckListBox;
    Button1: TButton;
    Label1: TLabel;
    Button2: TButton;
    Label2: TLabel;
    Button3: TButton;
    Label3: TLabel;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Button7: TButton;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    procedure CheckListBox1Click(Sender: TObject);
    procedure CheckListBox2ClickCheck(Sender: TObject);
    procedure CheckListBox3ClickCheck(Sender: TObject);
    procedure CheckListBox4ClickCheck(Sender: TObject);
    procedure CheckListBox5ClickCheck(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    br:integer; fish,fish1,fish2,fish3,first,second,third:chisla;
    procedure CheckListBoxClick(var CLB:TCheckListBox;num:integer);
    procedure Teglene(var resultat:chisla;var LabelF,LabelG:TLabel);
    procedure Popalni(resultat:chisla;var LabelF:TLabel);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{ TForm1 }
procedure TForm1.CheckListBoxClick;
begin
    with CLB do
    begin
    if Checked[ItemIndex]
    then if br<6 then begin inc(br); fish:=fish+[ItemIndex+1+10*num] end
                 else begin showmessage('It is not possible to insert more than 6 numbers!');
                            Checked[ItemIndex]:=false
                      end
    else begin dec(br);fish:=fish-[ItemIndex+1+10*num] end;
    Selected[ItemIndex]:=false
    end;
end;

procedure TForm1.CheckListBox1Click(Sender: TObject);
  begin CheckListBoxClick(CheckListBox1,0) end;
procedure TForm1.CheckListBox2ClickCheck(Sender: TObject);
  begin CheckListBoxClick(CheckListBox2,1) end;
procedure TForm1.CheckListBox3ClickCheck(Sender: TObject);
  begin CheckListBoxClick(CheckListBox3,2) end;
procedure TForm1.CheckListBox4ClickCheck(Sender: TObject);
  begin CheckListBoxClick(CheckListBox4,3) end;
procedure TForm1.CheckListBox5ClickCheck(Sender: TObject);
  begin CheckListBoxClick(CheckListBox5,4) end;

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
begin
   Label1.Caption:='';
   fish1:=fish;
   for i:=1 to 49 do
    if i in fish1 then Label1.Caption:=Label1.Caption+inttostr(i)+' ';
   if br<6 then showmessage('Insert another '+inttostr(6-br)+' number/numbers')
end;

procedure TForm1.Button2Click(Sender: TObject);
var i:integer;
begin
   Label2.Caption:='';
   fish2:=fish;
   for i:=1 to 49 do
    if i in fish then Label2.Caption:=Label2.Caption+inttostr(i)+' ';
   if br<6 then showmessage('Insert another '+inttostr(6-br)+' number/numbers')
end;

procedure TForm1.Button3Click(Sender: TObject);
var i:integer;
begin
   Label3.Caption:='';
   fish3:=fish;
   for i:=1 to 49 do
    if i in fish then Label3.Caption:=Label3.Caption+inttostr(i)+' ';
   if br<6 then showmessage('Insert another '+inttostr(6-br)+' number/numbers')
end;

procedure TForm1.Button7Click(Sender: TObject);
var i:integer;
begin
   fish:=[];
   br:=0;
   with CheckListBox1 do for i:=0 to Count-1 do Checked[i]:=false;
   with CheckListBox2 do for i:=0 to Count-1 do Checked[i]:=false;
   with CheckListBox3 do for i:=0 to Count-1 do Checked[i]:=false;
   with CheckListBox4 do for i:=0 to Count-1 do Checked[i]:=false;
   with CheckListBox5 do for i:=0 to Count-1 do Checked[i]:=false;
end;

procedure TForm1.Popalni;
  var i,a:integer;
  begin
   for i:=1 to 49 do
    if i in resultat then LabelF.Caption:=LabelF.Caption+inttostr(i)+' ';
   if resultat=[] then LabelF.Caption:=LabelF.Caption+'No'+' ';
  end;

  procedure TForm1.Teglene;
  var i,a:integer;
  begin
    resultat:=[];
    LabelF.Caption:='';
    LabelG.Caption:='Guessed I form:'; LabelG.Color:=CLRed;
    for i:=1 to 6 do
    begin
      repeat
          a:=random(49)+1;
      until not(a in resultat);
      resultat:=resultat + [a];
    end;
   popalni(resultat,LabelF);
   popalni(resultat*fish1,LabelG);
   LabelG.Caption:=LabelG.Caption+'    II form:';
   popalni(resultat*fish2,LabelG);
   LabelG.Caption:=LabelG.Caption+'    III form:';
   popalni(resultat*fish3,LabelG);
  end;

procedure TForm1.Button4Click(Sender: TObject);
  begin Teglene(first,Label4,Label7) end;
procedure TForm1.Button5Click(Sender: TObject);
  begin Teglene(second,Label5,Label8) end;
procedure TForm1.Button6Click(Sender: TObject);
  begin Teglene(third,Label6,Label9) end;
begin
  randomize
end.

