unit TablForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit: TEdit;
    BitBtn: TBitBtn;
    Label2: TLabel;
    Label3: TLabel;
    Timer: TTimer;
    procedure TimerTimer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtnClick(Sender: TObject);
  private
    t:tdatetime;//end of the test
    op1,op2, // multipliers
    br, // count questions
    brverni:integer;//correct  answers
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
{$R *.dfm}

procedure TForm1.TimerTimer(Sender: TObject);
var s:string;
begin
  Label3.Caption:= 'Time left:'+TimeToStr(t-time);
  if t<time then
  begin
    Timer.Enabled:=False;
    Label3.Caption:='There is no time left!';
    str(brverni/2.5+2:0:2,s);
    Showmessage('Corect answers: '+inttostr(brverni)+' Mark:'+s);
    BitBtn.Enabled:=False
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Label3.Caption:= 'Time left: 00:01:00';
  t:=strtotime('0:01:00');
  t:=t+time;
  Timer.Enabled:=True;
  randomize;
  op1:=random(11);op2:=random(11);
  Label1.Caption:='How much is '+inttostr(op1)+'.'+inttostr(op2)+' ?';
  br:=1;
end;

procedure TForm1.BitBtnClick(Sender: TObject);
var s:string;
begin
  if op1*op2=strtoint(Edit.Text) then
  begin inc(brverni);Label2.Caption:='Good! Correct answers: '+
        inttostr(brverni)+' of ' + inttostr(br)
  end else Label2.Caption:='Wrong! The correct answer is:'+
         inttostr(op1)+'.'+inttostr(op2)+'=' +inttostr(op1*op2);
  op1:=random(11);op2:=random(11);
  Label1.Caption:='How much is '+inttostr(op1)+'.'+inttostr(op2)+' ?';
  Edit.Text:='';
  inc(br);
  if br>10 then
  begin
    str(brverni/2.5+2:0:2,s);
    Showmessage('Correct answers: '+inttostr(brverni)+' Mark:'+s);
    BitBtn.Enabled:=False
  end;
end;

end.
